package com.test.questionnairesdk.library

class AskribeParams {
    var questionnaireId: String? = null
    var questionnaireTags: List<String>? = null
    var workspaceId: String? = null
    var distributionType: DistributionType? = null
    var receiversEmailAddress: String? = null
    var receiversPhoneNumber: String? = null
    var futureSessionId: String? = null
    var allContentVarsValues: Map<String, ContentVarValueData> = HashMap()
    var context: Map<String, VariableData> = HashMap()
}

enum class DistributionType constructor(val value: String) {
    APP_EMBED("APP_EMBED"),
    AUTO_EMAIL("AUTO_EMAIL"),
    AUTO_SMS("AUTO_SMS"),
}

enum class SessionStatus(var sessionStatus: String) {
    CREATED("CREATED"),
    IN_PROGRESS("IN_PROGRESS"),
    COMPLETED("COMPLETED"),
    CANCELLED("CANCELLED")
}